Benefits & tax profiles

Get Kota Employee Status

Returns an employee's Kota enrollment status for banners and profile pages.

GEThttps://api.toku.com/hris/get-kota-employee-status

Required scope: documents:read

curl --request GET \
  --url 'https://api.toku.com/hris/get-kota-employee-status?employeeID=%3CemployeeID%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "enrollmentStatus": "PENDING",
  "offboardingStatus": "NOT_STARTED",
  "hasKotaEmployeeID": true,
  "benefitsBannerDismissedAt": "string",
  "countryHasQuotaBenefits": true
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

employeeIDintegerrequired

Allowed: at least 1

Response

200Successful response
enrollmentStatusstringrequired

Available options: PENDING, ELIGIBLE, INELIGIBLE, ENROLLED, DECLINED, FAILED

offboardingStatusstringrequired

Available options: NOT_STARTED, SCHEDULED, COMPLETED, FAILED, CANCELLED, CANCEL_FAILED

hasKotaEmployeeIDbooleanrequired
benefitsBannerDismissedAtstring | nullrequired
countryHasQuotaBenefitsbooleanrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits